sigmet: Get SIGMETs

API: aviationweather.gov:aviationweather
Endpoint: /api/data/sigmet
Response format: text/plain
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 2582ms

Description

Retrieve SIGMET (Significant Meteorological Information) advisories which contain weather information of significant hazard to aircraft, including severe thunderstorms, turbulence, volcanic ash, and dust storms.

Parameters (1)

format (string, query, optional, default: raw)

Response format

Constraints: {'enum': ['xml', 'json', 'raw']}

Examples (1)

Get SIGMETs probe-gate
curl 'https://www.aviationweather.gov/api/data/sigmet?format=raw'
import requests

resp = requests.get(
    "https://www.aviationweather.gov/api/data/sigmet",
    params={
        'format': 'raw',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("aviationweather")
result = api.fetch("api/data/sigmet", format="raw")

for item in result:
    print(item)
const resp = await fetch("https://www.aviationweather.gov/api/data/sigmet?format=raw");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:54:21.619308 200 2582ms
2026-04-15 04:09:57.735597 200 463ms
2026-04-14 03:45:57.515873 200 528ms
2026-04-12 14:56:55.223056 200 418ms
2026-04-10 00:25:22.534201 200 279ms
2026-04-09 02:59:05.351723 200 635ms
2026-04-08 07:26:37.056028 200 714ms
2026-04-07 01:18:52.335644 200 524ms
2026-04-06 04:26:05.072487 200 739ms
2026-04-05 02:52:59.347402 200 524ms
2026-04-04 02:48:54.198866 200 431ms
2026-04-03 13:06:01.837140 200 591ms
2026-03-30 02:50:23.107956 200 452ms
2026-03-29 12:45:08.944791 204 2272ms
2026-03-22T10:25:54.436661 200 11102ms